package response

import "time"

// Error data type
type Error struct {
	Status    int    `json:"status"`
	Error     string `json:"error"`
	Timestamp string `json:"timestamp"`
}

// NewError creates a new Response fill with an error
func NewError(status int, err error) *Error {
	return &Error{
		Status:    status,
		Error:     err.Error(),
		Timestamp: time.Now().Format("2006-01-02T15:04:05Z"), //.Format("02 Jan 2006, 15:04:05 MST"),
	}
}
